import * as kms from '@aws-cdk/aws-kms';
import * as s3 from '@aws-cdk/aws-s3';
import * as sns from '@aws-cdk/aws-sns';
import * as cdk from '@aws-cdk/core';
import { S3NotificationProperties, Stage } from '../data-lake';
/**
 * @experimental
 */
export interface DataSetProperties {
    /**
     * @experimental
     */
    readonly dataCatalogAccountId: string;
    /**
     * @experimental
     */
    readonly destinationBucketName: string;
    /**
     * @experimental
     */
    readonly destinationPrefix: string;
    /**
     * @experimental
     */
    readonly encryptionKey?: kms.Key;
    /**
     * @experimental
     */
    readonly logBucket: s3.Bucket;
    /**
     * @experimental
     */
    readonly name: string;
    /**
     * @experimental
     */
    readonly s3NotificationProps?: S3NotificationProperties;
    /**
     * @experimental
     */
    readonly sourceBucketName?: string;
    /**
     * @experimental
     */
    readonly sourceKeys?: string[];
    /**
     * @experimental
     */
    readonly stage: Stage;
    /**
     * @experimental
     */
    readonly registerCrossAccount: boolean;
}
/**
 * @experimental
 */
export interface DataSetResult {
    /**
     * @experimental
     */
    readonly destinationBucketName?: string;
    /**
     * @experimental
     */
    readonly destinationPrefix: string;
    /**
     * @experimental
     */
    readonly sourceBucketName: string;
    /**
     * @experimental
     */
    readonly sourceKeys: string[];
}
/**
 * @experimental
 */
export declare class DataSet extends cdk.Construct {
    /**
     * @experimental
     */
    readonly rawBucket: s3.Bucket;
    /**
     * @experimental
     */
    readonly trustedBucket: s3.Bucket;
    /**
     * @experimental
     */
    readonly refinedBucket: s3.Bucket;
    /**
     * @experimental
     */
    readonly encryptionKey?: kms.Key;
    /**
     * @experimental
     */
    readonly dataSetFiles: DataSetResult;
    /**
     * @experimental
     */
    s3NotificationTopic?: sns.Topic;
    /**
     * @experimental
     */
    constructor(scope: cdk.Construct, id: string, props: DataSetProperties);
    private createS3NotificationTopic;
}
